=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2012-07-13 15:21:51 +0000
+++ bzrlib/branch.py	2012-07-13 16:47:00 +0000
@@ -282,7 +282,7 @@
     def get_uncommitted_data(self):
         transform = self._get_uncommitted()
         if transform is None:
-            return None, None, None
+            return None, None
         records = shelf.Unshelver.iter_records(transform)
         metadata = shelf.Unshelver.parse_metadata(records)
         base_revision_id = metadata['revision_id']

=== modified file 'bzrlib/tests/test_branch.py'
--- bzrlib/tests/test_branch.py	2012-07-13 15:21:51 +0000
+++ bzrlib/tests/test_branch.py	2012-07-13 16:47:00 +0000
@@ -769,3 +769,9 @@
         revision_id, records = branch.get_uncommitted_data()
         self.assertEqual('rev-1', revision_id)
         self.assertEqual([([], 'q')], list(records))
+
+    def test_get_uncommitted_data_none(self):
+        branch = self.make_branch('b')
+        revision_id, records = branch.get_uncommitted_data()
+        self.assertIs(None, revision_id)
+        self.assertIs(None, records)

